# PhasicFlow: src/phasicFlow/containers/VectorHD/VectorSingle.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

VectorSingle.hpp File Reference
Include dependency graph for VectorSingle.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | RESERVE
class | VectorSingle< T, MemorySpace >

## Namespaces

| pFlow

## Macros

#define | __RESERVE__

## Functions

template<typename T , typename MemorySpace >
iIstream & | operator>> (iIstream &is, VectorSingle< T, MemorySpace > &ivec)
template<typename T , typename MemorySpace >
iOstream & | operator<< (iOstream &os, const VectorSingle< T, MemorySpace > &ovec)

## Macro Definition Documentation

## __RESERVE__

#define __RESERVE__

Definition at line 35 of file VectorSingle.hpp.